CREATE TABLE cmp_ess_actions (
    ACTION_ID                 NUMBER(18, 0) ,
    TASK_ID                   NUMBER(18, 0)     NOT NULL,
    RANGE_ID                  NUMBER(18, 0) ,
    KEY1                      NUMBER(18, 0) ,
    KEY2                      NUMBER(18, 0) ,
    STATUS_CODE               VARCHAR2(120) ,
    PROCESS_REQUEST_ID        NUMBER(18, 0) ,
    REQUEST_ID                NUMBER(18, 0) ,
    REF_REQUEST_ID            NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    REF_REQUEST_DATE          TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ACTION_ID                 NUMBER(18, 0) ,
    TASK_ID                   NUMBER(18, 0)     NOT NULL,
    RANGE_ID                  NUMBER(18, 0) ,
    KEY1                      NUMBER(18, 0) ,
    KEY2                      NUMBER(18, 0) ,
    STATUS_CODE               VARCHAR2(120) ,
    PROCESS_REQUEST_ID        NUMBER(18, 0) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REF_REQUEST_ID            NUMBER(18, 0) ,
    REF_REQUEST_DATE          TIMESTAMP(6)  ,
    CONSTRAINT pk_cmp_ess_actions PRIMARY KEY (ACTION_ID, ACTION_ID)
);
